/*  $Header$
 *
 *  Copyright (C) 2002 Intersil Americas Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
OUTPUT_ARCH(arm)
ENTRY(_start)
SECTIONS
{
   .text : {
      _start = .;
      *(.start)
      bra.o
      . = ALIGN(512);
      *(main)
      *(.text)
      . = ALIGN(4);
   }

  _etext = .;

  .data : {
    *(.data)
  }

  _edata = .;

  __bss_start = .;
  .bss : {
    *(.bss)
  }
  _end = .;

  .stack : {
    *(.stack)
  }
}

