
#include <stdio.h>
#include <string.h>


extern int main_standalone(int argc, char *argv[]);
extern int main_save(int argc, char *argv[]);
extern int main_restore(int argc, char *argv[]);

int main(int argc, char **argv)
{
	char *p;
	char *binname;
	char *tmp;

	tmp = malloc(64000);
	free(tmp);
                

	p = argv[0];
	binname = p;

	while(*p != 0) {
		if(*p++ == '/') {
			binname = p;
		}
	}

	if(strcmp(binname, "iptables") == 0) {
		return(main_standalone(argc, argv));
	}

	if(strcmp(binname, "iptables-save") == 0) {
		return(main_save(argc, argv));
	}

	if(strcmp(binname, "iptables-restore") == 0) {
		return(main_restore(argc, argv));
	}
	
	printf("Illegal name for binary : %s\n", binname);
	return(1);
}
