#include <unistd.h>
#include <string.h>
#include <assert.h>
#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "dsmoduleapi.h"


static int get(struct schent_t *bogussch, char *oid)
{	
	ds_table *table;

	table = ds_table_get(".1.3.6.1.4.1.937.2.1.4.2.1");

	ds_table_addrow(table, 1, 1, inet_addr("192.168.10.49"), 1812, ds_chr2os("secret1") );
	ds_table_addrow(table, 2, 1, inet_addr("192.168.10.50"), 1813, ds_chr2os("secret2") );

	return(0);
}


ds_module mod_radius = {

	__FILE__,
	NULL,
	get,
	NULL,
	NULL,
	".1.3.6.1.4.1.937.2.1.4.2.1"
};


/*

The following schema entries are provided by this module :

O .1.3.6.1.4.1.937.2.1.4.2.1
L radiusServerEntry
T TABLE

	O .1.3.6.1.4.1.937.2.1.4.2.1.1
	L radiusServerIndex
	T INTEGER32
	I 1

	O .1.3.6.1.4.1.937.2.1.4.2.1.2
	L radiusServerRowStatus
	T ROWSTAT
	A C
	R 1,2,3,4,5,6

	O .1.3.6.1.4.1.937.2.1.4.2.1.3
	L radiusServerIpAddress
	T IPADDR
	A C

	O .1.3.6.1.4.1.937.2.1.4.2.1.4
	L radiusServerUDPPort
	T INTEGER32
	A C
	R 0/65535

	O .1.3.6.1.4.1.937.2.1.4.2.1.5
	L radiusServerSecret
	T OCTETSTR
	A C
	R 0/255

*/