/*
 *      $Header$
 *
 *      IMPORTANT--READ CAREFULLY:
 *      Right, including without limitation, use, reproduction, modification,
 *      and creation of derivative works, pertaining to this Source Code
 *      ("Document") are governed by a legal Agreement ("Agreement") between
 *      you (either an individual or a single entity) and Intersil Americas
 *      Inc ("Intersil") and/or its licensee (both hereinafter called
 *      Licensor).
 *      By reproducing, modifying, creating derivative works, accepting,
 *      installing, viewing, accessing, transforming or otherwise using this
 *      Document, you agree to be bound by the terms of the Agreement. If you
 *      do not agree to the terms of the Agreement, Licensor is unwilling to
 *      license rights to this Document to you. In such event, you may not
 *      use, reproduce, modify, create derivative works, install, view,
 *      access, transport, transform or circulate this Document, and you
 *      should promptly contact Licensor from which you acquired this Document
 *      for instructions on returning or destroying this Document.
 *
 *      CONFIDENTIAL, PROPRIETARY AND TRADE SECRET INFORMATION:
 *      This Document contains confidential, proprietary and trade secret
 *      information of Intersil Americas Inc. and should be treated in a
 *      confidential manner.
 *      Furthermore, this Document is protected by national copyright laws and
 *      international treaties.
 *      Unauthorized use, reproduction, modification, creation of derivative
 *      works or circulation is strictly prohibited.
 *
 *      Intersil  is a registered trademark of Intersil Americas Inc.
 *
 *      Copyright  2003 Intersil Americas Inc. All Rights Reserved.
 */

#ifndef LIB_CALLS_H
#define LIB_CALLS_H

#include <net/if.h>

int IfIoctl(int ioctl_num, struct ifreq *ifr);

int StartAppl(char* opt0, char* opt1, char* opt2,char* opt3,char* opt4,char* opt5, char* opt6,char* opt7, char* opt8);
int IfUp(char* opt1,char* opt2,char* opt3,char* opt4,char* opt5,char* opt6);
int IpTables(char* opt1, char* opt2, char* opt3, char* opt4, char* opt5, char* opt6, char* opt7, char* opt8);
int Killall(char* opt1, char* opt2);
int StartPPPD(char* pppoeif, char* username, char* locip, char* remip, char* servname);
int Route(char* opt1,char* opt2,char* opt3,char* opt4,char* opt5,char* opt6);
int IfConfig(char* opt1, char* opt2,char* opt3, char* opt4);
int RunAndRead(char* cmd[]);
int Kill(char* opt1, char* opt2);
#endif





