/*
 *      $Header$
 *
 *      IMPORTANT--READ CAREFULLY:
 *      Right, including without limitation, use, reproduction, modification,
 *      and creation of derivative works, pertaining to this Source Code
 *      ("Document") are governed by a legal Agreement ("Agreement") between
 *      you (either an individual or a single entity) and Intersil Americas
 *      Inc ("Intersil") and/or its licensee (both hereinafter called
 *      Licensor).
 *      By reproducing, modifying, creating derivative works, accepting,
 *      installing, viewing, accessing, transforming or otherwise using this
 *      Document, you agree to be bound by the terms of the Agreement. If you
 *      do not agree to the terms of the Agreement, Licensor is unwilling to
 *      license rights to this Document to you. In such event, you may not
 *      use, reproduce, modify, create derivative works, install, view,
 *      access, transport, transform or circulate this Document, and you
 *      should promptly contact Licensor from which you acquired this Document
 *      for instructions on returning or destroying this Document.
 *
 *      CONFIDENTIAL, PROPRIETARY AND TRADE SECRET INFORMATION:
 *      This Document contains confidential, proprietary and trade secret
 *      information of Intersil Americas Inc. and should be treated in a
 *      confidential manner.
 *      Furthermore, this Document is protected by national copyright laws and
 *      international treaties.
 *      Unauthorized use, reproduction, modification, creation of derivative
 *      works or circulation is strictly prohibited.
 *
 *      Intersil  is a registered trademark of Intersil Americas Inc.
 *
 *      Copyright  2003 Intersil Americas Inc. All Rights Reserved.
 */

#define NO_INTERFACES   23

#define INTERFACE_LO      1
#define INTERFACE_ETH0    2
#define INTERFACE_ETH1    3
#define INTERFACE_ETH2    4
#define INTERFACE_ETH3    5 
#define INTERFACE_BR0     6 
#define INTERFACE_PPP0    7
#define INTERFACE_ETH1_0  8
#define INTERFACE_ETH1_1  9
#define INTERFACE_ETH1_2 10
#define INTERFACE_ETH1_3 11
#define INTERFACE_ETH1_4 12
#define INTERFACE_ETH1_5 13
#define INTERFACE_ETH1_6 14
#define INTERFACE_ETH1_7 15
#define INTERFACE_ETH3_0 16
#define INTERFACE_ETH3_1 17
#define INTERFACE_ETH3_2 18
#define INTERFACE_ETH3_3 19
#define INTERFACE_ETH3_4 20
#define INTERFACE_ETH3_5 21
#define INTERFACE_ETH3_6 22
#define INTERFACE_ETH3_7 23

char *ifindex2ifname(int ifindex);
int ifname2ifindex(char* ifname);

int waneth_present(void);
int interface_present(int ifnum);
