/*
 *      $Header$
 *
 *      IMPORTANT--READ CAREFULLY:
 *      Right, including without limitation, use, reproduction, modification,
 *      and creation of derivative works, pertaining to this Source Code
 *      ("Document") are governed by a legal Agreement ("Agreement") between
 *      you (either an individual or a single entity) and Intersil Americas
 *      Inc ("Intersil") and/or its licensee (both hereinafter called
 *      Licensor).
 *      By reproducing, modifying, creating derivative works, accepting,
 *      installing, viewing, accessing, transforming or otherwise using this
 *      Document, you agree to be bound by the terms of the Agreement. If you
 *      do not agree to the terms of the Agreement, Licensor is unwilling to
 *      license rights to this Document to you. In such event, you may not
 *      use, reproduce, modify, create derivative works, install, view,
 *      access, transport, transform or circulate this Document, and you
 *      should promptly contact Licensor from which you acquired this Document
 *      for instructions on returning or destroying this Document.
 *
 *      CONFIDENTIAL, PROPRIETARY AND TRADE SECRET INFORMATION:
 *      This Document contains confidential, proprietary and trade secret
 *      information of Intersil Americas Inc. and should be treated in a
 *      confidential manner.
 *      Furthermore, this Document is protected by national copyright laws and
 *      international treaties.
 *      Unauthorized use, reproduction, modification, creation of derivative
 *      works or circulation is strictly prohibited.
 *
 *      Intersil  is a registered trademark of Intersil Americas Inc.
 *
 *      Copyright  2002 Intersil Americas Inc. All Rights Reserved.
 */

#include <unistd.h>

#include <string.h>
#include <assert.h>
#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <errno.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <aplog_defs.h>

#include "table.h"
#include "misc.h"
#include "objdata.h"
#include "objflag.h"
#include "object.h"
#include "easyprism.h"

static void startstop_boa(struct object_t *obj);

void mod_web_reload_boa(void) {
	struct object_t *obj;
	
	obj = object_get(".1.3.6.1.4.1.937.2.1.6.1.0");
	assert(obj);
	startstop_boa(obj);	
}


static void startstop_boa(struct object_t *obj) {

	int webstatus;
	
	assert(obj);
	
	webstatus = object_get_int(obj);
	
	if (webstatus == 1) {
		system("/etc/init.d/boa restart"); 
	}
	else {
		system("/etc/init.d/boa stop");
	}
}

static int set(void)
{
	struct object_t *obj;
	
	obj = object_get(".1.3.6.1.4.1.937.2.1.6.1.0");
	assert(obj);
	
	if(object_flag_isset(obj, OF_DIRTY)) 
	{
		startstop_boa(obj);		
		object_flag_clear(obj, OF_DIRTY);
	}
	
	return(0);

}


struct moddescr_t mod_web = {

	name:		__FILE__,
	fn_set:		set,
	oidlist:	".1.3.6.1.4.1.937.2.1.6.1"

};


/*

O .1.3.6.1.4.1.937.2.1.6.1
L webStatus
T INTEGER
A RW
R 1,2


*/
