/*
 *  mac_autoclone.c
 *  sysd
 *
 *  Created by Max Yin on Wed Oct 01 2003.
 *  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
 *
 */

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>

static int fd1=-1, fd2=-1;
static char clonedMAC_saved[20];

void sysd_mac_autoclone()
{
    char cloneState;
    char clonedMAC_new[20];
    if(fd1==-1){
	fd1 = open("/proc/net/macnat/enable_MAC_clone", O_RDONLY);
	if(fd1 == -1)
	    return;
    }
    if(fd2==-1){
	fd2 = open("/proc/net/macnat/cloned_MAC", O_RDONLY);
	if(fd2 == -1)
	    return;
    }
    
    read(fd1, &cloneState, 1);
    lseek(fd1, 0, SEEK_SET); // reset seek
//    printf("%s(): clone state: %c\n", __PRETTY_FUNCTION__, cloneState);

    if(cloneState=='3'){
		read(fd2, clonedMAC_new, 20);
		lseek(fd2, 0, SEEK_SET);
		//printf("Clone new MAC address: %s\n", clonedMAC_new);
		//printf("      old MAC address: %s\n", clonedMAC_saved);
		if(memcmp(clonedMAC_saved, clonedMAC_new, 17)){ // different
		    system("/bin/setoid eth1 0 mac `cat /proc/net/macnat/cloned_MAC`");
	    	memcpy(clonedMAC_saved, clonedMAC_new, 20);
		    system("/bin/ifconfig eth1 down");
		    sleep(1);
	    	system("/bin/ifconfig eth1 up");
		/* Stardate 10405.27 Max Yin
                        Restart WPA supplicant to re-authenticate       
                */
                system("rm -rf /log/stop_flag");
                system("/bin/testa");
		}
    }
    else{
    	//printf("Erase saved cloned MAC\n");
    	memset(clonedMAC_saved, 0, 20);
	}
    return;
}
    

