/*
 *  apdpmod_mt.h
 *  sysd
 *
 *  Created by Max Yin on Tue Sep 16 2003.
 *  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
 *	ADPD protocol stacks for manufacturing
 */

#ifndef __APDPMOD_MT_H__
#define __APDPMOD_MT_H__

#include "apdp.h"

#define MT_SIGNATURE	"ZrGsYjkCe"

#define CMD_SET		0x01
#define CMD_RESET	0x02
#define CMD_RESET2DEF	0x03
#define CMD_ALLOW_FW_UPLOAD	0x04
#define CMD_TEST_PASSWD	0x05
#define CMD_SET1	0x10
#define MT_RESPONSE	0xff
#define MT_RESPONSE_PASSWD_FAIL	0xfa



struct mt{
    u32_t mtmagicno;
    u8_t opcode;
    u8_t mt_signature[9];
    u8_t s_no;
    u8_t ssid[32];
    u8_t zero;
    u8_t ch;
    u8_t tx_rate;
    u8_t checksum;
}__attribute__((packed));

struct mt_resp{
    u32_t mtmagicno;
    u8_t rc;
    u8_t mt_signature[9];
    u8_t s_no;
}__attribute__((packed));

extern struct BMP_mod	apdpmod_mt;


#endif

