/*
 *  ledstatus.c
 *  LEDKTask
 *
 *  Created by Max Yin on Sat Apr 17 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */

#include "ledstatus.h"
struct LED_STATUS   *leds_status=0L;
int nr_leds = 0;
void led_status_init(struct LED_STATUS *leds, const int nr)
{
	int i;
	oem_hw_led.init();
	for(i=0 ; i<nr ; i++){
		leds[i].blink_period = 0;
		leds[i].blink_count = 0;
		leds[i].state = LED_STATUS_OFF;
		leds[i].enable = 0;
		leds[i].index = i;
		oem_hw_led.off(i);
	}
	leds_status = leds;
	nr_leds = nr;
}

#if 0
void led_status_output(struct LED_STATUS led)
{
	switch(led.cmd){
		case LED_CMD_ON:
			oem_hw_led.on(led.index);
			led.on_off_state = LED_STATUS_ON;
			break;
		case LED_CMD_OFF:
			oem_hw_led.off(led.index);
			led.on_off_state = LED_STATUS_OFF;
			break;
		case LED_CMD_BLINK:
			if(led.on_off_state == LED_STATUS_ON){
				oem_hw_led.off(led.index);
				led.on_off_state = LED_STATUS_OFF;
			}
			else if(led.on_off_state == LED_STATUS_OFF){
				oem_hw_led.on(led.index);
				led.on_off_state = LED_STATUS_ON;
			}
	}
}
#endif
