/*
 *  netiftimer.h
 *  LEDKTask
 *
 *  Created by Max Yin on Tue Apr 20 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */


#ifndef __NETIFTIMER_H__
#define __NETIFTIMER_H__
#ifdef __KERNEL__
void netif_timer(unsigned long arg);
#else 
/* Use SIGALRM to simulate kernel timer */
void netif_timer(int sig_no);
#endif

struct led_netif{
	int ledindex;
	unsigned long txrx_sum;
	int blink_period;
	char ifname[16]; // IFNAMZ
};

extern struct led_netif *led_netifs;
extern int nr_netifs;

void netif_timer_init(const struct led_netif *netifs, const int nr);

#endif