/*  $Header$
 *
 *  Copyright (C) 2001 Intersil Americas Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include <linux/config.h>
#include <linux/mm.h>
#ifdef MAGIC_ROM_PTR
extern int _binary_romfs_img_start, _binary_romfs_img_end;

#if defined(CONFIG_ARCH_POLDHU) || defined(CONFIG_ARCH_ISL3893)
int is_in_rom(unsigned long addr)
{
	if ((addr >= &_binary_romfs_img_start) && (addr < &_binary_romfs_img_end))
		return 1;
	else
		return 0;
}
#else
int is_in_rom(unsigned long addr) {
	if ( FLASH_MEM_BASE <= addr && addr < (FLASH_MEM_BASE+FLASH_SIZE) )
		return 1;
	else
		return 0;
}
#endif

#endif // MAGIC_ROM_PTR
