#ifndef __ARM_MMU_H
#define __ARM_MMU_H

#include <linux/config.h>
#include <asm/proc/mpu.h>

#ifdef CONFIG_ARM9_MPU
/* We use the mm_context for storing the MPU context
 * i.e. the regions that need to be programmed in the MPU
 * upon a context switch.
 */
typedef struct mpu_context_t mm_context_t;

#else /* CONFIG_ARM9_MPU */

/* No MPU */
typedef struct { } mm_context_t;

#endif /* CONFIG_ARM9_MPU */

#endif
