# $Header$
#
# Copyright (C) 2001 Intersil Americas Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
MAKE	= /usr/bin/make
SHELL	= /bin/sh

usage : default_usage multi_usage

default_usage ::
	@echo "Usage:" >&2
	@echo " make all		# build all applications in current dir" >&2
	@echo " make clean		# remove the object files" >&2
	@echo " make depend		# make depend files" >&2

multi_usage ::
	@echo " make [application]	# build application" >&2

.PHONY : all clean depend etc
all : TARGET := all
clean : TARGET := clean
depend : TARGET := depend
etc : TARGET := etc
all clean depend etc: apps

.PHONY : apps $(APPS)
apps : $(APPS)

$(APPS):
	$(MAKE) -f Makefile.$@ $(shell \
			if [ "$(TARGET)" = "" ]; then \
				echo all; \
			else \
				echo $(TARGET); \
			fi )


