/*  $Header$
 *
 *  Copyright (C) 2002 Intersil Americas Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#ifndef _COMPONENT_INTERFACE_H
#define _COMPONENT_INTERFACE_H

#include "component_version.h"
#include "identification/customer.h"		/* For OEM and Product interface */
#include "identification/hardware_variants.h"	/* For Hardware interface */

/* Dependent Interfaces */
#define WFS_NEEDED_OEM_IF		OEM_ID_INTERSIL
#define WFS_NEEDED_PRODUCT_IF		BR_IF_VAR_PRODUCT_2
#define WFS_NEEDED_SNMP_IF		BR_IF_VAR_SNMP_17
#define WFS_NEEDED_FILESET_IF		BR_IF_VAR_DAP1_FS_1

/* CRC and MD5 */
#define WEBFILESET_CRC16		0x0000
#define WEBFILESET_MD5			{ 0, 0, 0, 0 }

#endif /* _COMPONENT_INTERFACE_H */
