/*
 *  linux/arch/arm/boot/compressed/vmlinux.lds.in
 *
 *  Copyright (C) 2000 Russell King
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
OUTPUT_ARCH(arm)
SECTIONS
{
   .text : {
      bra.o
      *(.text)
      . = ALIGN(4);
   }

  _etext = .;

  .data : {
    *(.data)
  }

  _edata = .;
  . = ALIGN(4);
  _reloc_end = .;

  __bss_start = .;
  .bss : {
    *(.bss)
  }
  _end = .;

  .stack : {
    *(.stack)
  }
}

