#!/bin/sh

usage(){
	echo "switcht.sh [wet54gv2|wet54ag]"
	exit 0
}

if [ $# -lt 1 ]; then
	usage
fi

if [ $1 = "wet54gv2" ]; then
	echo "Switch to wet54gv2..."
	#Datastore
	cd ../uClinux/apps-non-gpl/datastore/etc/defaults
	if [ -f datastore.dat-wet54gv2 ]; then
		echo "Switch datastore.dat..."
		rm -f datastore.dat
		ln -s datastore.dat-wet54gv2 datastore.dat
	fi
	#Boa, for login realm
	cd ../../../../apps-gpl/boa
	if [ -f boa.conf-wet54gv2 ]; then
		echo "Switch Boa's login realm..."
		rm -f boa.conf
		ln -s boa.conf-wet54gv2 boa.conf
	fi
	#web pages
	echo "Switch web pages..."
	cd ../../romfs/usr/www/html/
	rm -rf *
	cp -a ../../../../../webfileset/wwwroot-linksys-wet54gv2_us/* .
	# WFW_VERSION
	echo "Switch WFW_version..."
	cd ../../../../../apfw
	if [ -f WFW_version-wet54gv2 ] ; then
		rm  -f WFW_version
		ln -s WFW_version-wet54gv2 WFW_version
	fi
	
elif [ $1 = "wet54ag" ]; then
	echo "Switch to wet54ag..."
        #Datastore
        cd ../uClinux/apps-non-gpl/datastore/etc/defaults
        if [ -f datastore.dat-wet54ag ]; then
                echo "Switch datastore.dat..."
                rm -f datastore.dat
                ln -s datastore.dat-wet54ag datastore.dat
        fi
	#Boa, for login realm
        cd ../../../../apps-gpl/boa
        if [ -f boa.conf-wet54ag ]; then
                echo "Switch Boa's login realm..."
                rm -f boa.conf
                ln -s boa.conf-wet54ag boa.conf
        fi
	#web pages
        echo "Switch web pages..."
        cd ../../romfs/usr/www/html/
        rm -rf *
        cp -a ../../../../../webfileset/wwwroot-linksys-wet54ag_us/* .
	# WFW_VERSION
        echo "Switch WFW_version..."
        cd ../../../../../apfw
        if [ -f WFW_version-wet54ag ] ; then
                rm  -f WFW_version
                ln -s WFW_version-wet54ag WFW_version
        fi
else
	usage
fi
