/*  $Header$
 *  
 *  Copyright (C) 2001 Intersil Americas Inc.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#ifndef _IMAGE_HEADER_H
#define _IMAGE_HEADER_H

#define MAGIC_OKAY   0x59414B4F   /* OKAY */

struct image_header_st {
    unsigned long magic1;
    unsigned long vector;
    unsigned long crc_start;
    unsigned long crc_end;
    unsigned long crc_code;
    unsigned long bootrec[3];
} __attribute__((packed));

#endif /* _IMAGE_HEADER_H */
