#include <stdio.h>
#include <stdlib.h>
#include <net/ethernet.h>

static struct ether_addr __eth_addr;
struct ether_addr *ether_aton(const char *a)
{
 char buf[5] = "0x  ";
 int i;
 	for(i=0 ; i<ETH_ALEN ; i++){
		buf[2] = a[i*3];
		buf[3] = a[i*3+1];
		__eth_addr.ether_addr_octet[i] = strtol(buf, 0, 16);
	}
	return &__eth_addr;
}

static char __eth_buf[20];
char* ether_ntoa(const struct ether_addr *n)
{
 	sprintf(__eth_buf, "%X:%X:%X:%X:%X:%X",
			n->ether_addr_octet[0], n->ether_addr_octet[1],
			n->ether_addr_octet[2], n->ether_addr_octet[3],
			n->ether_addr_octet[4], n->ether_addr_octet[5]);
	return __eth_buf;
}

#if 0
int main(){
 char addr[30]="12:34:56:78:9a:bc";

 struct ether_addr *ether_addr;

 	ether_addr = ether_aton(addr);
	printf("In ether_addr: %X : %X : %X : %X : %X : %X \n",
		ether_addr->ether_addr_octet[0], 
		ether_addr->ether_addr_octet[1],
		ether_addr->ether_addr_octet[2], 
		ether_addr->ether_addr_octet[3],
		ether_addr->ether_addr_octet[4], 
		ether_addr->ether_addr_octet[5]);

	printf(" Convert back to string: %s\n",
			ether_ntoa(ether_addr));

	return 0;
}
#endif
