#include <sys/socket.h>
#include <netinet/in.h>
#include <stdio.h>
#include <prismoids.h>

char buf[4096];
int main(int argc, char **argv)
{
 struct obj_scan objScan_saved, objScan;
 struct obj_bsslist *pList;
 int i;
 	if(get_prismoid("eth1", DOT11_OID_SCAN, &objScan_saved, sizeof(objScan_saved))==0){
		memcpy(&objScan, &objScan_saved, sizeof(objScan));
		printf("scan.sweep: %d\n", objScan.sweep);
		printf("scan.type: %s\n", objScan.type==0?"passive scan":
				(objScan.type==1?"active scan":"selective scan"));
		printf("scan.min: %d\n", objScan.min);
		printf("scan.max: %d\n", objScan.max);
		printf("scan.interval: %d\n", objScan.interval);
		printf("scan.nr: %d\n", objScan.nr);
		for(i=0 ; i<objScan.nr ; i++){
			printf("scan.mhz[%d]: %d [%s]\n",i,
				objScan.mhz[i]&0x7FFF,
				(objScan.mhz[i]&0x8000)?"active":"passive");
		}
		objScan.sweep = -1;
		for(i=0 ; i<objScan.nr ; i++){
			objScan.mhz[i] |= 0x8000 ;
		}
		objScan.interval=500;
		set_prismoid("eth1", DOT11_OID_SCAN, &objScan, sizeof(objScan));
		sleep(3);
	}
	else{
		printf("Cannot get data from DOT11_OID_SCAN!!!\n");
		return 1;
	}
	if(get_prismoid("eth1", DOT11_OID_BSSLIST, buf, sizeof(buf))==0){
		pList = (struct obj_bsslist*)buf;
		printf("There is/are %ld APs found in the surrounding\n",
			pList->nr);
		for(i=0 ; i<pList->nr ; i++){
			printf("AP[%d]: SSID: %s(%d)\n", i,
					pList->bsslist[i].ssid+1,
					pList->bsslist[i].ssid[0]);
		}
	}
	set_prismoid("eth1", DOT11_OID_SCAN, &objScan_saved, sizeof(objScan_saved));
	return 0;
}
