#include <sys/types.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <netinet/in.h>
#include <net/if.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include "supplicant_ext.h"
//==========================================================
//WPA Supplicant Setting
#define R_NOERR          0   
#define SUPP_CONFIG "/usr/etc/supp_conf"
int eaptype;//0=MD5 1=TLS 2=TTLS
int authtype;//0=WEP 1=Radis 2=WPA-Radius 3=WPA-PSK
int ciphertype;//0=WEP64 1=WEP128 1=TKIP
int autokey;
unsigned char user[32];
unsigned char password[32];
unsigned char ssid[32];
unsigned char passhash[64];
//unsigned char ssid[32];
//For WEP Key Setting
int wl_key; //For Default WEP Key
int wl_wep_bit;//For WEP key 64 or 128 bits
char wl_key1[64];
char wl_key2[64];
char wl_key3[64];
char wl_key4[64];
//
#define IsALPHA(c)	((48 <= c && c <= 57) || (65 <= c && c <= 90) || (97 <= c && c <= 122))

#define DEVICE "eth1"
void kill_A_D(char *buf)
{
        int i,len;
        if(buf<=0x00)
            return;
	//return;
        len=strlen(buf);
        for(i=0;i<len;i++)
                {
                if((buf[i]==0x0d)||(buf[i]==0x0a)||(buf[i]==0x20))
                        buf[i]=0x00;
                }
}
void read_supp_config()
{
	FILE *file;
  	static char oid[64];
	char tmp[128];
	int data_len;
	int type, retval;  
	char community[128];
	int community_len = sizeof(community);
        //
	memset(user,0x00,sizeof(user));
        memset(password,0x00,sizeof(password));
	memset(ssid,0x00,sizeof(ssid));
	memset(passhash,0x00,sizeof(passhash));
	memset(wl_key1,0x00,sizeof(wl_key1));
	memset(wl_key2,0x00,sizeof(wl_key2));
	memset(wl_key3,0x00,sizeof(wl_key3));
	memset(wl_key3,0x00,sizeof(wl_key4));
	//==========================================
	//Get From Wisoc Environment Datastore
	//SSID
    	//strcpy(oid, ".1.2.840.10036.1.1.1.9.3") ;
    	//memset(tmp, 0, (data_len=sizeof(tmp)));
    	//type = T_OCTETSTR;
    	//retval = datastore_getoid(oid, community, strlen(community), tmp, &data_len, &type);
    	//if(retval == R_NOERR)
	//	{
        //        strncpy(ssid, tmp,sizeof(ssid));  
    	//	}
	//==========================================
	//
	file=fopen(SUPP_CONFIG,"r");
	if(file<=0x00)
		return;
	while(fgets(tmp,64,file)>0x00)
		{
		//printf("<br>%s",tmp);//autokey
		if(strncmp(tmp,"autokey:",8)==0x00)
                        {
                        autokey=atoi(tmp+8);
                        }
		else if(strncmp(tmp,"eaptype:",8)==0x00)
			{
			eaptype=atoi(tmp+8);
			}
		else if(strncmp(tmp,"authtype:",9)==0x00)
                        {
                        authtype=atoi(tmp+9);                            
                        }
		else if(strncmp(tmp,"ciphertype:",11)==0x00)
                        {
                        ciphertype=atoi(tmp+11);                          
                        }
		else if(strncmp(tmp,"wl_key:",7)==0x00)
                        {
                        wl_key=atoi(tmp+7);
                        }
		else if(strncmp(tmp,"wl_wep_bit:",11)==0x00)
                        {
                        wl_wep_bit=atoi(tmp+11);
                        }
		else if(strncmp(tmp,"user:",5)==0x00)
                        {
                        strcpy(user,tmp+5);        
			kill_A_D(user);     
                        }
		else if(strncmp(tmp,"ssid:",5)==0x00)
                        {
                        strcpy(ssid,tmp+5);
			kill_A_D(ssid);
                        }
		else if(strncmp(tmp,"password:",9)==0x00)
                        {
                        strcpy(password,tmp+9); 
			kill_A_D(password);
                        }
		else if(strncmp(tmp,"passhash:",9)==0x00)
                        {
                        strcpy(passhash,tmp+9);
                        kill_A_D(passhash);
                        }
		else if(strncmp(tmp,"wl_key1:",8)==0x00)
                        {
                        strcpy(wl_key1,tmp+8);
                        kill_A_D(wl_key1);
                        }
		else if(strncmp(tmp,"wl_key2:",8)==0x00)
                        {
                        strcpy(wl_key2,tmp+8);
                        kill_A_D(wl_key2);
                        }
		else if(strncmp(tmp,"wl_key3:",8)==0x00)
                        {
                        strcpy(wl_key3,tmp+8);
                        kill_A_D(wl_key3);
                        }
		else if(strncmp(tmp,"wl_key4:",8)==0x00)
                        {
                        strcpy(wl_key4,tmp+8);
                        kill_A_D(wl_key4);
                        }
		}	
	fclose(file);
	
}
//
void write_supp_config()
{
        FILE *file;
	char tmp[128];
	//
        file=fopen(SUPP_CONFIG,"w+");
	//
	if(authtype>=0x02)//Enable WPA Mode
		{
		if(eaptype==0x00)//if EAP=MD5
			eaptype=0x01;//At Least for EAP-TLS
		if(ciphertype<0x02)//For WEP Mode
			ciphertype=0x02;//At Least for TKIP
		}
	sprintf(tmp,"eaptype:%ld\n",eaptype);
	fputs(tmp,file);
	sprintf(tmp,"authtype:%ld\n",authtype);
        fputs(tmp,file);
	sprintf(tmp,"ciphertype:%ld\n",ciphertype);
        fputs(tmp,file);//autokey
	sprintf(tmp,"autokey:%ld\n",autokey);
        fputs(tmp,file);
	sprintf(tmp,"wl_key:%ld\n",wl_key);
        fputs(tmp,file);
	sprintf(tmp,"wl_wep_bit:%ld\n",wl_wep_bit);
        fputs(tmp,file);
	//
	kill_A_D(ssid);
	kill_A_D(user);
	kill_A_D(password);
	kill_A_D(passhash);
	kill_A_D(wl_key1);
	kill_A_D(wl_key2); 
	kill_A_D(wl_key3); 
	kill_A_D(wl_key4); 
	//
	sprintf(tmp,"ssid:%s\n",ssid);
        fputs(tmp,file);
	sprintf(tmp,"user:%s\n",user);
        fputs(tmp,file);
	sprintf(tmp,"password:%s\n",password);
        fputs(tmp,file);
	sprintf(tmp,"passhash:%s\n",passhash);
        fputs(tmp,file);
	sprintf(tmp,"wl_key1:%s\n",wl_key1);
        fputs(tmp,file);
	sprintf(tmp,"wl_key2:%s\n",wl_key2);
        fputs(tmp,file);
	sprintf(tmp,"wl_key3:%s\n",wl_key3);
        fputs(tmp,file);
	sprintf(tmp,"wl_key4:%s\n",wl_key4);
        fputs(tmp,file);
	//
        fclose(file);
        //
	system("rm -rf /log/stop_flag");
	sleep(1);
        system("/bin/testa&");
}
int check_security()
{//Return 1 = Enable Security 0=Disable Security
                                                                                
        FILE *file;
        int len,ret;
        //Get security settings status from sysd
        file=fopen("/log/security","r");
        if(file<=0x00)
                {//
                return 0x00;
                }
        else
                {
		fclose(file);
                return 0x01;
                }
}

