#include <sys/socket.h>
#include <netinet/in.h>
#include <stdio.h>
#include <string.h>
#include <prismoids.h>
#include <stdlib.h>

int trigss(int sweep, int interval)
{
 struct obj_scan objScan;
 int i;
 	if(get_prismoid("eth1", DOT11_OID_SCAN, &objScan, sizeof(objScan))==0){
		objScan.sweep = sweep;
		objScan.interval = interval;
		set_prismoid("eth1", DOT11_OID_SCAN, &objScan, sizeof(objScan));
	}
	else{
		printf("Cannot get data from DOT11_OID_SCAN!!!");
		return 1;
	}
	
	return 0;
}


int main(int argc, char **argv)
{
 int sweep, interval;

	if(argc<3){
		printf("%s [sweep] [interval]\n", argv[0]);
		return 0;
	}

	sweep = atoi(argv[1]);
	interval = atoi(argv[2]);
	printf("Set background scan sweep: %d interval: %d\n", sweep, interval);
	prismoid_open();
	trigss(sweep, interval);
	prismoid_close();
	return 0;
}
