/*
 *  checkrules_wet55ag.c
 *  wifid
 *
 *  Created by Max Yin on Wed Apr 28 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */

#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include <netinet/in.h>
#include "prismoids.h"
#include "checkrules.h"
#include "wifi_params.h"
#include "wlaninterface.h"

#define WLAN	"eth1"
#define DEBUG

void checkrules(){
	// OK, check each rule
	// 1. Check the ssid and channel
	if(strcmp(current.ssid, "test")==0 && current.channel == 10){
	}

	// 2. Check BSSTYPE
	if(current.bsstype == DOT11_BSSTYPE_IBSS){
		// OK, it's adhoc, set profile to b-wifi
		int profile = DOT11_PROFILE_B_WIFI;
		wlan->profile(INTERFACE_CMD_SET, &profile, 4);
#ifdef DEBUG
		printf("%s(): system change to AdHoc mode, switched profile to B-only...\n", __PRETTY_FUNCTION__);
#endif
	}


}
