/*
 *  wifi_params.c
 *  wifid
 *
 *  Created by Max Yin on Wed Apr 28 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */

#include <string.h>
#include <stdlib.h>
#include "wlaninterface.h"
#include "wifi_params.h"


struct wifi_params current, backup;
struct wifi_param_hook *wifi_param_hooks;
static int nr_hooks=0;

DECLARE_WIFIPARAM_HOOKS
	WIFIPARAMHOOK_ENTRY(current.ssid, 33, wlan->ssid),
	WIFIPARAMHOOK_ENTRY(&(current.channel), 4, wlan->channel),
	WIFIPARAMHOOK_ENTRY(&(current.profile), 4, wlan->profile),
	WIFIPARAMHOOK_ENTRY(&(current.bsstype), 4, wlan->bsstype),
DECLARE_WIFIPARAM_HOOKS_END

void wifiparam_cp_current2backup()
{
	memcpy(&backup, &current, sizeof(struct wifi_params));
}

void wifiparam_getAll()
{
	int i;
	for(i=0 ; i<nr_hooks ; i++){
		if(wifi_param_hooks[i].iffunc != NULL){
			wifi_param_hooks[i].iffunc(INTERFACE_CMD_GET,
			   wifi_param_hooks[i].data, 
			   wifi_param_hooks[i].len);
		}
	}
}
