/*
 *  wifi_params.h
 *  wifid
 *
 *  Created by Max Yin on Wed Apr 28 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */
#ifndef __WIFI_PARAMS_H__
#define __WIFI_PARAMS_H__

#include "wlaninterface.h"

#ifndef NULL
#define NULL 0L
#endif

struct wifi_params{
	char	ssid[33];
	int	channel;
	int	profile;
	int	bsstype;
}__attribute__((__aligned__(4)));

extern struct wifi_params current, backup;

struct wifi_param_hook{
	void *data;
	int len;
	interface iffunc;
};

#define DECLARE_WIFIPARAM_HOOKS \
	void wifiparam_hooks_init(){\
	struct wifi_param_hook  _wifi_param_hooks[] = {
#define WIFIPARAMHOOK_ENTRY(data, len, interface) {(void*)data, len, interface}
#define DECLARE_WIFIPARAM_HOOKS_END   \
		};\
		wifi_param_hooks = malloc(sizeof(_wifi_param_hooks)); \
		memcpy(wifi_param_hooks, _wifi_param_hooks, sizeof(_wifi_param_hooks));\
		nr_hooks = sizeof(_wifi_param_hooks)/sizeof(struct wifi_param_hook);\
		};
#define WIFIPARAM_HOOKS_INIT()  wifiparam_hooks_init();


extern struct wifi_param_hook * wifi_param_hooks ;

void wifiparam_hooks_init();
void wifiparam_cp_current2backup();
void wifiparam_getAll();

#endif



