/*  $Header$
 *
 *  Copyright (C) 2002 Intersil Americas Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


#ifndef _APLOG_DEFS_H
#define _APLOG_DEFS_H

#define MAX_MSG_LEN 256
#define APLOGFILE "/var/log/aplog.log"
#define SOCKFILE "/var/run/aplog.sock"

struct aplog_header_t {
	long current_number;
	int head_slot;
	int tail_slot;
	int num_slots;
};

struct aplog_entry_t {
	long number;
	time_t firsttime;
	time_t lasttime;
	unsigned int count;
	unsigned int eventid;
	char msg[MAX_MSG_LEN];
};


#endif
