/*
 *  linux/arch/arm/mach-poldu/irq.c
 */
#include <linux/init.h>

#include <asm/mach/irq.h>
#include <asm/hardware.h>
#include <asm/io.h>
#include <asm/irq.h>
#include <asm/system.h>
#include <asm/arch/intctl.h>


inline void poldhu_irq_ack(int irq)
{
}


void __inline__ poldhu_mask_irq(unsigned int irq)
{
	/* reset cooresponding bit in the 32bit Int mask register */
	uIRQ->EnableClear = (1 << (irq & 0x1f));
}


void __inline__ poldhu_unmask_irq(unsigned int irq)
{
	/* set cooresponding bit in the 32bit Int mask register */
	uIRQ->EnableSet = (1 << (irq & 0x1f));
}


void poldhu_mask_ack_irq(unsigned int irq)
{
}





