/*
 * include/asm-v850/nb85e.h -- NB85E cpu core
 *
 *  Copyright (C) 2001,2002  NEC Corporation
 *  Copyright (C) 2001,2002  Miles Bader <miles@gnu.org>
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of this
 * archive for more details.
 *
 * Written by Miles Bader <miles@gnu.org>
 */

#ifndef __V850_NB85E_H__
#define __V850_NB85E_H__

#include <asm/nb85e_intc.h>


#define CPU_ARCH "v850e"


#ifndef __ASSEMBLY__
/* A variable holding the frequency of the CPU.  */
extern unsigned long cpu_clock_freq;
#endif


#endif /* __V850_NB85E_H__ */
