/* Dummy kernel module for adding a user specified index to a rule. */
#include <linux/module.h>
#include <linux/skbuff.h>
#include <linux/if_ether.h>

#include <linux/netfilter_ipv4/ipt_userindex.h>
#include <linux/netfilter_ipv4/ip_tables.h>

static int
match(const struct sk_buff *skb,
      const struct net_device *in,
      const struct net_device *out,
      const void *matchinfo,
      int offset,
      const void *hdr,
      u_int16_t datalen,
      int *hotdrop)
{

 	// Just a dummy...
 
    return(1);
}

static int
ipt_userindex_checkentry(const char *tablename,
		   const struct ipt_ip *ip,
		   void *matchinfo,
		   unsigned int matchsize,
		   unsigned int hook_mask)
{
	// Just a dummy...

	return 1;
}

static struct ipt_match userindex_match
= { { NULL, NULL }, "userindex", &match, &ipt_userindex_checkentry, NULL, THIS_MODULE };

static int __init init(void)
{
	return ipt_register_match(&userindex_match);
}

static void __exit fini(void)
{
	ipt_unregister_match(&userindex_match);
}

module_init(init);
module_exit(fini);
