/*  $Header$
 *  
 *  Copyright (C) 2002 Intersil Americas Inc.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

static u_short  PdaTestData[] = {
   /*--------------------------------------------------------------------------------------------------------*
    | LENGTH  PDR_CODE                           DATA                                                        |
    *--------------------------------------------------------------------------------------------------------*/
      0x0003, PDR_MF_PART_NUMBER,                ('P'*256)+'D', ('A'*256)+'.',
      0x0002, PDR_VERSION,                       0x0003,
      0x0002, PDR_NIC_SERIAL,                    0x1234,
      0x0003, PDR_NIC_RAM_SIZE,                  0x001F, 0xFF00,
      0x0002, PDR_RFMODEM_SUP_RANGE,             0x000A,
      0x0002, PDR_PRISM_MAC_SUP_RANGE,           0x001D,
      0x0002, PDR_NIC_ID,                        0xDEAD,
      0x0004, PDR_MAC_ADDRESS,                   0x1900, 0xBBAA, 0xDDCC,
      0x0005, PDR_REGULATORY_DOMAIN_LIST,        0x0001, 0x0002, 0x0003, 0x0004,
      0x0004, PDR_ALLOWED_CHAN_SET,              0x0400, 0x0401, 0x0405,
      0x0002, PDR_DEFAULT_CHAN,                  0x0405,
      0x0002, PDR_TEMPERATURE_TYPE,              0xBEAF,
      0x0002, PDR_IFR_SETTING,                   0xDEAF,
      0x0002, PDR_RFR_SETTING,                   0xFACE,
      0x0006, PDR_3861_BASELINE_REG_SETTINGS,    0x0001, 0x0002, 0x0003, 0x0004, 0x0005,
      0x0007, PDR_3861_SHADOW_REG_SETTINGS,      0x0005, 0x0004, 0x0003, 0x0002, 0x0001, 0x0000,
      0x0008, PDR_3861_IFRF_REG_SETTINGS,        0x0006, 0x0005, 0x0004, 0x0003, 0x0002, 0x0001, 0x0000,
      0x0007, PDR_3861_CHAN_CALIB_SET_POINTS,    0xAABB, 0xCCDD, 0xEEFF, 0xFFEE, 0xDDCC, 0xBBAA,
      0x0002, PDR_3861_CHAN_CALIB_INTEGRATOR,    0x1010,
      0x0008, PDR_3842_PRISM_II_NIC_CONFIG,      0xAA55, 0xAA55, 0xAA55, 0xAA55, 0xAA55, 0xAA55, 0xAA55,
      0x0002, PDR_PRISM_USB_ID,                  0xAAAA,
      0x0002, PDR_PRISM_PCI_ID,                  0x0123,
      0x0005, PDR_PRISM_PCI_IF_CONFIG,           0x0000, 0x0001, 0x0002, 0x0003,
      0x0005, PDR_PRISM_PCI_PM_CONFIG,           0x0003, 0x0002, 0x0001, 0x0000,
      0x0008, PDR_3861_MF_TEST_CHAN_SET_POINTS,  0xAAA1, 0xAAA2, 0xAAA3, 0xAAA4, 0xAAA5, 0xAAA6, 0xAAA7,
      0x0008, PDR_3861_MF_TEST_CHAN_INTEGRATORS, 0x1111, 0x2222, 0x3333, 0x4444, 0x5555, 0x6666, 0x7777,
      0x0003, PDR_DEFAULT_COUNTRY,               0x0032  , 0x0000,
      0x0007, PDR_COUNTRY_LIST,                  0x00 + ('Z' * 256), 'A' + (' ' * 256), 0x00 + ('H' * 256), 'K' + (' ' * 256), 0x0030, 0x0000,
      0x0005, PDR_INTERFACE_LIST,                0x0101, 0x0202, 0x0303, 0x0404,
      0x0002, PDR_HW_PLATFORM_COMPONENT_ID,      0xCADE,
      0x0004, PDR_OEM_NAME,                      ('T'*256)+'E', ('S'*256)+'T', 0x0000,
      0x0004, PDR_PRODUCT_NAME,                  ('-'*256)+'P', ('D'*256)+'A', ('.'*256)+'.',
      0x0004, PDR_UTF8_OEM_NAME,                 ('-'*256)+'F', ('L'*256)+'I', 'P'*256,
      0x0002, PDR_UTF8_PRODUCT_NAME,             ('J'*256)+'E',
      0x0005, PDR_PRISM_INDIGO_PA_CALIBR_DATA,   0x1234, 0x5678, 0x8765, 0x4321,
      0x0004, PDR_RSSI_LINEAR_APPROXIMATION,     0x5544, 0x3322, 0x1100,
      0x0001, PDR_END  /* Note that no CRC is here, to be generated by uClinux/tools/pda2bin */
};

